Skip to main content
POST
/
v2
/
api-keys
Create API key for the authenticated user
curl --request POST \
  --url https://api.kyberis.ai/v2/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expiresAt": "<string>",
  "expires_at": "<string>",
  "name": "<string>",
  "scopes": [
    "<string>"
  ]
}
'
{
  "key_id": "<string>",
  "secret": "<string>",
  "token": "<string>",
  "created_at": "<string>",
  "expires_at": "<string>",
  "name": "<string>",
  "scopes": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kyberis.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer <access_token>

Body

application/json
expiresAt
string | null
expires_at
string | null
name
string | null
Maximum string length: 255
scopes
string[] | null

Response

Successful Response

key_id
string
required
secret
string
required
token
string
required
created_at
string | null
expires_at
string | null
name
string | null
scopes
string[]